#
# spec file for package forecast
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname com.jwestall.Forecast
Name:           forecast
Version:        0.1.0+git20241006.f98528a
Release:        1.5
Summary:        Weather app written in rust and libcosmic
License:        GPL-3.0-only
URL:            https://github.com/jwestall/cosmic-weather
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(xkbcommon)

%description
A simple weather application for the COSMIC Desktop

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install
%suse_update_desktop_file %{appname}

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/cosmic-ext-%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.metainfo.xml

%changelog
* Fri Oct 11 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.1.0+git20241006.f98528a:
  * Expand metainfo
  * Bundle cosmic icons on flatpak manifest
  * Add release info; remove COSMIC category
  * Prepping for 1.0.0 release
  * Move strings to translation file
  * feat: app errors dialog box and own api key support
  * feat: add on_submit event
  * Fix daily view
  * Tentative fix to daily view
  * Work on details screen
  * Make it possible to disable libcosmic wgpu feature
  * Update app name from Weather to Forecast
  * fix: remove unnecessary casting
  * feat: add km/h to speed units
  * fix: padding in details view
  * Add wind speed units
  * Add air pressure units
  * Begin work on details screen
  * fix: close dialog after selecting city
  * feat: option to choose location from list
  * fix: prevent unwraping unset values
  * Update wording for time format
  * update metno api from compact to complete
  * cleanup: remove unused imports and functions
  * chore: Add time format options
  * fix: correct app id
  * Refactor how current data is pulled
  * Added data to hourly view
  * More work on weather class
- rename to new name
- update upstream url
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Tue Jul 23 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
